# target

Specifies the destination host name or IP address for omdtls.

This parameter applies to omdtls: Output Module for DTLS Protocol over UDP.

Name:

  target

Scope:

  input

Type:

  word

Default:

  input=none

Required?:

  yes

Introduced:

  v8.2402.0

## Description

Specifies the target hostname or IP address to send log messages to. This parameter must be set; otherwise the action has no destination and messages cannot be delivered.

## Input usage

    action(type="omdtls" target="192.0.2.1" port="4433")

## See also

See also omdtls: Output Module for DTLS Protocol over UDP.

Support: rsyslog Assistant | GitHub Discussions | GitHub Issues: rsyslog source project

Contributing: Source & docs: rsyslog source project

© 2008–2025 Rainer Gerhards and others. Licensed under the Apache License 2.0.